org.apache.fontbox.ttf

## Interface CmapLookup

All Known Implementing Classes:
  CmapSubtable, SubstitutingCmapLookup

    public interface CmapLookup

An interface that abstracts the cid <-> codepoint lookup functionality of cmap.

Author:
  Aaron Madlon-Kay

### Method Summary

All Methods Instance Methods Abstract Methods
`List<Integer>` `getCharCodes(int gid)` Returns all possible character codes for the given gid, or null if there is none.
`int` `getGlyphId(int codePointAt)` Returns the GlyphId linked with the given character code.

### Method Detail

#### getGlyphId

    int getGlyphId(int codePointAt)

Returns the GlyphId linked with the given character code.

Parameters:
  `codePointAt` - the given character code to be mapped
Returns:
  glyphId the corresponding glyph id for the given character code

#### getCharCodes

    List<Integer> getCharCodes(int gid)

Returns all possible character codes for the given gid, or null if there is none.

Parameters:
  `gid` - glyph id
Returns:
  a list with all character codes the given gid maps to